# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['flix_cli', 'flix_cli.core', 'flix_cli.core.utils']

package_data = \
{'': ['*']}

install_requires = \
['beautifulsoup4==4.10.0',
 'colorama==0.4.5',
 'httpx==0.23.0',
 'krfzf-py>=0.0.4,<0.0.5',
 'pycryptodomex==3.14.1']

entry_points = \
{'console_scripts': ['flix-cli = flix_cli.__main__:__flixcli__']}

setup_kwargs = {
    'name': 'flix-cli',
    'version': '1.6.1',
    'description': 'A high efficient, powerful and fast movie scraper.',
    'long_description': '<p align="center">\n<br>\n<a href="https://github.com/demonkingswarn/flix-cli"><img src="https://img.shields.io/github/stars/demonkingswarn/flix-cli?color=orange&logo=github&style=flat-square"></a>\n<a href="http://makeapullrequest.com"><img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg"></a>\n<img src="https://img.shields.io/badge/os-linux-brightgreen">\n<img src="https://img.shields.io/badge/os-mac-brightgreen">\n<img src="https://img.shields.io/badge/os-windows-brightgreen">\n<img src="https://img.shields.io/badge/os-android-brightgreen">\n<br>\n</p>\n<h1 align="center">\n  FLIX-CLI\n</h1>\n<br>\n<h3 align="center">\n  A high efficient, powerful and fast movie scraper.\n</h3>\n<br>\n\n\n\nhttps://user-images.githubusercontent.com/69480361/193068496-ec0e418d-375b-4a14-be75-e3ac10d853b4.mp4\n\n\n\n<hr>\n\n# Overview\n\n- [Installation](#installation)\n    1. [PIP Installation](#1-pip-installs-packages-aka-pip-installation)\n    2. [Source Code Download](#2-source-code-download)\n    3. [Android Installation](#3-android-installation)\n- [Dependencies](#dependencies)\n- [Usage](#usage)\n- [Support](#support)\n- [Provider](#provider)\n- [Project Disclaimer](#project-disclaimer)\n- [Honourable Mentions](#honourable-mentions)\n\n# Installation\n<i>for dependencies <a href="https://github.com/DemonKingSwarn/flix-cli#dependencies">(see below)</a>.</i>\n\nThis project can be installed on to your device via different mechanisms, these mechanisms are listed below in the order of ease.\n\n## 1. PIP Installs Packages aka PIP Installation\n```sh\npip install flix-cli\n```\n\n## 2. Source Code Download\n``` sh\ngit clone https://github.com/demonkingswarn/flix-cli\n```\n\nGiven that you have `git` installed, you can clone the repository from GitHub. If you do not have or want to deal with installation of `git`, you can simply download the repository using <a href="https://github.com/demonkingswarn/flix-cli/archive/refs/heads/master.zip">this link</a>.\n\nAfter the repository is downloaded and placed in an appropriate directory, you can, either use [`runner.py`](https://github.com/demonkingswarn/flix-cli/blob/master/runner.py) to use the project without installation or use [`setup.py`](https://github.com/demonkingswarn/flix-cli/blob/master/setup.py) to proceed with the installation.\n\nThe former can be done via:\n```sh\npython runner.py\n```\nThe later can be done via:\n```sh\npip install .\n```\nBoth commands are to be executed from the directory where the repository is located.\n\n<b>Additional information</b>: You <b>must</b> have Python installed <b>and</b> in PATH to use this project properly. Your Python executable may be `py` or `python` or `python3`. <b>Only Python 3.6 and higher versions are supported by the project.</b>\n\n## 3. Android Installation\nInstall termux <a href="https://termux.com">(Guide)</a>\n```sh\npkg up -y\npip install flix-cli\necho "#\\!/data/data/com.termux/files/usr/bin/sh" > $PREFIX/bin/mpv\necho \'am start --user 0 -a android.intent.action.VIEW -d "$1" -n is.xyz.mpv/.MPVActivity &\' >> $PREFIX/bin/mpv\nchmod +x $PREFIX/bin/mpv\n```\n\nFor it to be able to stream you need to add referrer in mpv by opening mpv <a href="https://play.google.com/store/apps/details?id=is.xyz.mpv">(playstore version)</a>, going into Settings -> Android -> Edit mpv.conf and adding\n```sh\nreferrer="https://membed1.com"\n```\n\n# Dependencies\n- [`mpv`](https://mpv.io) - Video Player\n- [`iina`](https://iina.io) - Alternate video player for MacOS\n- [`ffmpeg`](https://github.com/FFmpeg/FFmpeg) - Download manager\n- [`fzf`](https://github.com/junegunn/fzf) - for selection menu\n\n# Usage\n\n```sh\nUsage: flix-cli [ARGS]...\n\nOptions:\n    download    Download your favourite movie by query.\n    play        Stream your favourite movie by query.\n```\n\n# Support\nYou can contact the developer directly via this <a href="mailto:swarn@demonkingswarn.ml">email</a>. However, the most recommended way is to head to the discord server.\n\n<a href="https://discord.gg/JF85vTkDyC"><img src="https://invidget.switchblade.xyz/JF85vTkDyC"></a>\n\nIf you run into issues or want to request a new feature, you are encouraged to make a GitHub issue, won\'t bite you, trust me.\n\n# Provider\n| Website                                      | Available Qualities | Status / Elapsed Time | Content Extension |\n| :------------------------------------------: | :-----------------:  | :----: | :-----------------: |\n| [gdriveplayer](https://database.gdriveplayer.us/player.php)         | 720p, 1080p | <img height="25" src="https://github.com/DemonKingSwarn/flix-status/raw/master/images/gdriveplayer.jpg">  | MP4 |\n\n# Project Disclaimer\nThe disclaimer of the project  can be found <a href="https://github.com/demonkingswarn/flix-cli/blob/master/disclaimer.org">here</a>.\n\n# Honourable Mentions\n\n- [`animdl`](https://github.com/justfoolingaround/animdl): Ridiculously efficient, fast and light-weight (supports most sources: animixplay, 9anime...) (Python)\n- [`ani-cli`](https://github.com/pystardust/ani-cli): A cli tool to browse and play anime. (Shell)\n- [`mov-cli`](https://github.com/mov-cli/mov-cli): [WIP] watch movies and webseries from the cli. (Python/Shell)\n- [`kami`](https://github.com/mrfluffy-dev/kami): Read light novels and watch anime in your terminal. (Rust)\n',
    'author': 'DemonKingSwarn',
    'author_email': 'rockingswarn@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
